## com.thingmagic
Class Gen2.IDS.SL900A.ShelfLifeBlock0

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.ShelfLifeBlock0

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.ShelfLifeBlock0

extends java.lang.Object

Field Summary
`int` `raw`

Constructor Summary
`Gen2.IDS.SL900A.ShelfLifeBlock0()`
`Gen2.IDS.SL900A.ShelfLifeBlock0(byte[] value, int offset)`

Method Summary
`void` `setEa(byte value)`
`void` `setTmax(byte value)`
`void` `setTmin(byte value)`
`void` `setTstd(byte value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raw

    public int raw

Constructor Detail

### Gen2.IDS.SL900A.ShelfLifeBlock0

    public Gen2.IDS.SL900A.ShelfLifeBlock0()

### Gen2.IDS.SL900A.ShelfLifeBlock0

    public Gen2.IDS.SL900A.ShelfLifeBlock0(byte[] value,
                                           int offset)

Method Detail

### setTmax

    public void setTmax(byte value)

### setTmin

    public void setTmin(byte value)

### setTstd

    public void setTstd(byte value)

### setEa

    public void setEa(byte value)